Subject: Re: do we have too much fsync() configuration in 'next'?

From: Junio C Hamano <[email-masked]>
Date: Fri, 25 Mar 2022 18:23:37 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> We've gone over this a few times already, but just wanted to state it
>> again.  The really detailed settings are really there for Git hosters
>> like GitLab or GitHub. I'd be happy to remove the per-component
>> core.fsync values from the documentation and leave just the ones we
>> point the user to.
>
> I'm prettty sure (but Patrick knows more) that GitLab's plan for this is
> to keep it at whatever the safest setting is, presumably GitHub's as
> well (but I don't know at all on that front).

I thought we've already settled it long ago, and it wasn't like you
were taking vacation from the list for a few weeks.  Why are we
talking about this again now?  Did we discover any new argument
against it?

Puzzled.